aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-06-13 11:08:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-06-13 11:08:23 +0000
commitcb78b518c914966ed6fd57ec55674c7b229a52de (patch)
tree0aed0688df59231c389e18e510a5e74a30e1c76a /main/busybox/APKBUILD
parent97f5ac3a9680f895c058e9ee78dad17c58541acd (diff)
downloadaports-cb78b518c914966ed6fd57ec55674c7b229a52de.tar.gz
aports-cb78b518c914966ed6fd57ec55674c7b229a52de.tar.bz2
aports-cb78b518c914966ed6fd57ec55674c7b229a52de.tar.xz
main/busybox: create needed dirs for ifupdown
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD12
1 files changed, 11 insertions, 1 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index a92aa1866b..c129848cb7 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.20.0
-pkgrel=4
+pkgrel=5
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
arch="all"
@@ -80,6 +80,16 @@ package() {
install -m4111 bbsuid "$pkgdir"/bin/bbsuid || return 1
# we need /bin/sh to be able to execute post-install
ln -s /bin/busybox "$pkgdir"/bin/sh
+
+ #ifupdown needs those dirs to be present
+ mkdir -p \
+ "$pkgdir"/etc/network/if-down.d \
+ "$pkgdir"/etc/network/if-post-down.d \
+ "$pkgdir"/etc/network/if-post-up.d \
+ "$pkgdir"/etc/network/if-pre-down.d \
+ "$pkgdir"/etc/network/if-pre-up.d \
+ "$pkgdir"/etc/network/if-up.d \
+ || return 1
}
static() {